Bug 1467435 - libxslt-devel.i686 and libxslt-devel.x86_64 cannot be simultaneously installed.
libxslt-devel.i686 and libxslt-devel.x86_64 cannot be simultaneously installed.
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Reopened
: 1524371 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 17:40 EDT by Hin-Tak Leung
Modified: 2018-02-09 12:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-09 08:42:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libxslt-multilib.patch (883 bytes, patch)
2018-01-18 05:48 EST, Artem S. Tashkinov
no flags Details | Diff

  None (edit)
Description Hin-Tak Leung 2017-07-03 17:40:47 EDT
Description of problem:


Error: Transaction check error:
  file /usr/bin/xslt-config conflicts between attempted installs of libxslt-devel-1.1.29-1.fc26.i686 and libxslt-devel-1.1.29-1.fc26.x86
_64
  file /usr/include/libxslt/xsltconfig.h conflicts between attempted installs of libxslt-devel-1.1.29-1.fc26.i686 and libxslt-devel-1.1.
29-1.fc26.x86_64


It seems that I had the previous versions installed fine? (not sure if I did force it or not):
libxslt-devel-1.1.28-13.fc25.x86_64           Mon 27 Feb 2017 23:07:27 GMT
libxslt-devel-1.1.28-13.fc25.i686             Mon 27 Feb 2017 23:07:24 GMT


Version-Release number of selected component (if applicable):
libxslt-devel-1.1.29-1.fc26.x86_64
libxslt-devel-1.1.29-1.fc26.i686

How reproducible:
Always

Steps to Reproduce:
1. have the previous in fc25
2. try upgrading
3.

Actual results:
upgrading blocked.

Expected results:
success.


Additional info:
Comment 1 jakkul 2017-08-22 17:35:37 EDT
affects me as well. I did not force installing those libxslt packages.
Comment 2 jakkul 2017-08-23 07:24:06 EDT
workaround: remove libxslt-devel, upgrade to 26, worked for me.
Comment 3 LiZhenbo 2017-12-05 11:06:24 EST
Error: Transaction check error:
  file /usr/bin/xslt-config from install of libxslt-devel-1.1.29-4.fc27.i686 conflicts with file from package libxslt-devel-1.1.29-4.fc27.x86_64
  file /usr/include/libxslt/xsltconfig.h from install of libxslt-devel-1.1.29-4.fc27.i686 conflicts with file from package libxslt-devel-1.1.29-4.fc27.x86_64

This is still a bug in Fedora27
Comment 4 Artem S. Tashkinov 2018-01-17 19:08:59 EST
*** Bug 1524371 has been marked as a duplicate of this bug. ***
Comment 5 Artem S. Tashkinov 2018-01-17 19:09:42 EST
This bug affects Fedora 27 and rawhide as well.
Comment 6 Artem S. Tashkinov 2018-01-17 19:15:40 EST
(In reply to jakkul from comment #2)

Can't work as these packages contain different files: bin/xslt-config and include/libxslt/xsltconfig.h. Both can be trivially patched to work under x86_64 and i686 simultaneously but it looks like the maintainer of this package is MIA or has stopped caring.

I could have sent the patches in but I'm pretty sure the bug won't be fixed until the maintainer gets replaced or someone from RedHat/Fedora steps in to resolve this issue.
Comment 7 Hin-Tak Leung 2018-01-18 05:18:14 EST
I filed a similar bug for another package a while ago
https://bugzilla.redhat.com/show_bug.cgi?id=1481351 , and even went as far as testing and submitting a patch. But I got shot down more than a few times as "Fedora does not support multiarch...".

The maintainer for that package is responsive to comments, but not co-operative.

I mean - what's wrong with just accepting a patch I submitted and close the bug as fixed (instead of "NOT A BUG, Fedora does not support multiarch" and just rejecting the patch without looking)? A few dozen other packages have a similar set up and support multiarch...
Comment 8 Hin-Tak Leung 2018-01-18 05:20:23 EST
Many fedora packages have a *-32.h and a *-64.h and use a wrapper *.h to dispatch to either depending on wordsize. See my patch on the other bug report and my comments there.
Comment 9 Artem S. Tashkinov 2018-01-18 05:48 EST
Created attachment 1382851 [details]
libxslt-multilib.patch

(In reply to Hin-Tak Leung from comment #7)

> "Fedora does not support multiarch...".

Whoever said that must be fired and never work for/with Fedora ever again.

> Many fedora packages have a *-32.h and a *-64.h and use a wrapper *.h to dispatch to either depending on wordsize.

That's not necessary. I've actually gone ahead and written a very basic patch which Just Works™.

The only problem now is to find a proper person at Fedora/RedHat to ask to apply this patch.

Also, please change Fedora's version to 27 to make this bug report a little bit more actual.
Comment 10 Artem S. Tashkinov 2018-01-18 05:55:04 EST
This bug report falls under https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

(In reply to Hin-Tak Leung from comment #8)

Please follow this link https://pagure.io/fesco/new_issue and file a report on this bug report.

This bug report has seen zero responses for 7 months which automatically makes this maintainer unfit for its job (whatever his/her reasons are).
Comment 11 Hin-Tak Leung 2018-01-18 05:59:03 EST
(In reply to Artem S. Tashkinov from comment #9)
> Created attachment 1382851 [details]
> libxslt-multilib.patch

Thanks for spending time on this.

> (In reply to Hin-Tak Leung from comment #7)
> 
> > "Fedora does not support multiarch...".
> 
> Whoever said that must be fired and never work for/with Fedora ever again.

I have seriously thought about finding somebody higher up in the hierarchy to have this guy's maintainer status revoked, based on his responses:

https://bugzilla.redhat.com/show_bug.cgi?id=1481351#c4
"
And the way to do it is to use mock (or other chroot) to build the 32-bit package in a true 32-bit environment. Any other way is not supported in Fedora.
"

https://bugzilla.redhat.com/show_bug.cgi?id=1481351#c5
"Multiarched packages are for *compatibility* only, not development."

https://bugzilla.redhat.com/show_bug.cgi?id=1481351#c9
"Again, multiarch is only for binary compability in Fedora. If you want to develop 32-bit applications, use a chroot or mock."

https://bugzilla.redhat.com/show_bug.cgi?id=1481351#c12
"...Nobody wants to build a 32-bit library on a 64-bit host. We build 64-bit libraries on 64-bit hosts, and 32-bit libraries on 32-bit hosts. Multiarch allows you to keep using 32-bit applications on a 64-bit host; the packages are pulled from the 32-bit build. BUILDING 32-BIT APPLICATIONS ON 64-BIT FEDORA IS NOT SUPPORTED IN ANY WAY IN FEDORA!"

> Also, please change Fedora's version to 27 to make this bug report a little
> bit more actual.

done.
Comment 12 Artem S. Tashkinov 2018-01-18 06:27:00 EST
(In reply to Hin-Tak Leung from comment #11)
> done.

I don't see any changes.

Again, please follow this link https://pagure.io/fesco/new_issue and file a report on this maintainer.
Comment 13 Artem S. Tashkinov 2018-01-18 06:57:40 EST
Igor, could you please pull some strings on the libxslt package? It's old, seemingly unmaintained, contains multiple memory leaks and other problems and there are even open CVE's against the version which comes in Fedora.
Comment 14 Igor Gnatenko 2018-02-09 08:42:28 EST
Please send Pull Request on src.fedoraproject.org, I will happily check & merge.

Thanks!
Comment 15 Artem S. Tashkinov 2018-02-09 09:12:09 EST
(In reply to Igor Gnatenko from comment #14)

Igor,

Can we please have a maintainer for libxslt instead? I don't have a desire to create an account at fedoraproject and I'm even less willing to go through the hassle of doing any more work.

It's a working patch, it applies cleanly - I don't understand why someone else at Fedora/RH cannot apply it.
Comment 16 Igor Gnatenko 2018-02-09 12:08:01 EST
(In reply to Artem S. Tashkinov from comment #15)
> (In reply to Igor Gnatenko from comment #14)
> 
> Igor,
> 
> Can we please have a maintainer for libxslt instead? I don't have a desire
> to create an account at fedoraproject and I'm even less willing to go
> through the hassle of doing any more work.

That's who I am.

Unfortunately, it is very very low priority in my TODO list to fix this bug myself.

> It's a working patch, it applies cleanly - I don't understand why someone
> else at Fedora/RH cannot apply it.

I will try it out when I will get some free time.

Note You need to log in before you can comment on or make changes to this bug.